﻿.arc-btn-primary {
    color: var(--arc-white);
    background-color: var(--arc-black);
    border-color: var(--arc-black);
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-primary:hover {
        background-color: var(--arc-mid-grey);
        border-color: var(--arc-mid-grey);
        color: var(--arc-black);
        text-decoration: none;
    }


.arc-btn-secondary {
    color: var(--arc-black);
    background-color: var(--arc-white);
    border-color: var(--arc-mid-grey) !important;
    border: solid 1px;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-secondary:hover {
        background-color: var(--arc-mid-grey);
        color: var(--arc-black);
        border-color: var(--arc-mid-grey);
        text-decoration: none;
    }

.arc-btn-primarylink {
    color: #6c757d;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-primarylink:hover {
        color: #6c757d !important;
        text-decoration: underline;
    }

.arc-btn-delete {
    color: var(--arc-white);
    background-color: #D50C2F;
    border-color: #D50C2F !important;
    border: solid 1px;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-delete:hover {
        background-color: #F7CED5 !important;
        color: #D50C2F !important;
        border-color: #D50C2F;
        text-decoration: none;
    }

.arc-btn-tertiary {
    color: var(--arc-black);
    border: none;
    text-decoration: none;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-tertiary:hover {
        color: var(--arc-icon);
        text-decoration: none;
    }


.arc-btn-icon {
    color: var(--arc-body);
    border: none;
    text-decoration: none;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

.arc-btn-icon:hover {
    color: var(--arc-black);
    text-decoration: none;
}

    .arc-btn-icon i {
        color: var(--arc-icon);
        transition: color .15s ease-in-out,background-color .15s ease-in-out;
    }

    .arc-btn-icon:hover i {
        color: var(--arc-black);
        transition: color .15s ease-in-out,background-color .15s ease-in-out;
    }

/*
.arc-btn-outline-primary {
    color: var(--arc-black);
    border-color: var(--arc-black);
    border: 0px;
    text-decoration: none;
}

    .arc-btn-outline-primary:hover {
        background-color: var(--arc-mid-grey);
        color: var(--arc-black);
        border-color: var(--arc-mid-grey);
        border: 0px;
        text-decoration: none;
    }*/

.arc-btn-link {
    color: var(--arc-blue);
    text-decoration: none;
}

.arc-btn-green {
    background-color: var(--arc-green) !important;
    border: none;
}

.arc-btn-red {
    background-color: var(--arc-red) !important;
    border: none;
}
.arc-btn-red:hover {
    background-color: var(--arc-red) !important;
}


.arc-btn-blue {
    background-color: var(--arc-blue) !important;
    border: none;
}

    .arc-btn-blue:hover {
        background-color: var(--arc-blue) !important;
    }


.arc-action-icon {
    color: var(--arc-body);
    transition: color .15s ease-in-out,background-color .15s ease-in-out;
}

.arc-action-icon:hover {
    color: var(--arc-black);
    transition: color .15s ease-in-out,background-color .15s ease-in-out;
}

/* new buttons css */

.arc-btn-lightgreen {
    color: var(--arc-white);
    background-color: #008C8C;
    border-color: #008C8C !important;
    border: solid 1px;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
    gap:10px;
}

    .arc-btn-lightgreen:hover {
        background-color: #CCE8E8 !important;
        color: #008c8c !important;
        border-color: #008C8C;
        text-decoration: none;
    }

.arc-btn-lightred {
    color: var(--arc-white);
    background-color: #C70000; /* Dark red */
    border-color: #C70000 !important;
    border: solid 1px;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-lightred:hover {
        background-color: #FFB3B3 !important; /* Light red */
        color: #C70000 !important;
        border-color: #C70000;
        text-decoration: none;
    }

.arc-btn-outline-lightred {
    background-color: var(--arc-white);
    border-color: #EE9EAC !important;
    border: solid 1px;
    text-decoration: none;
    color: #D50C2F !important;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-outline-lightred:hover {
        background-color: #FBE7EA !important;
        color: #D50C2F !important;
        border-color: #EE9EAC !important;
        text-decoration: none;
    }

.arc-btn-outline-lightgreen {
    background-color: var(--arc-white);
    border-color: #CCE8E8 !important;
    border: solid 1px;
    text-decoration: none;
    color: #008c8c !important;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-outline-lightgreen:hover {
        background-color: #CCE8E8 !important;
        color: #008c8c !important;
        border-color: #008C8C !important;
        text-decoration: none;
    }


.arc-btn-reddish-pink {
    color: var(--arc-white);
    background-color: #ff6464;
    border-color: #ff6464 !important;
    border: solid 1px;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
}

    .arc-btn-reddish-pink:hover {
        background-color: #ff6464 !important;
        color: #000 !important;
        border-color: #ff6464;
        text-decoration: none;
    }

.arc-btn-green-30 {
    color: var(--arc-white);
    background-color: #008C8C;
    border-color: #008C8C !important;
    border: solid 1px;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
    gap: 10px;
    opacity :30%;
}

    .arc-btn-green-30:hover {
        background-color: #CCE8E8 !important;
        color: #008c8c !important;
        border-color: #008C8C;
        text-decoration: none;
    }


.arc-btn-black {
    color: var(--arc-white);
    background-color: var(--arc-black-500);
    border-color: var(--arc-black-500) !important;
    border: solid 1px;
    text-decoration: none;
    border-radius: 0.5rem;
    padding: 0.75rem 1.5rem 0.75rem 1.5rem;
    font-size: 1.125rem;
    gap: 10px;
    opacity: 30%;
}

    .arc-btn-:hover {
        background-color: #CCE8E8 !important;
        color: #008c8c !important;
        border-color: #008C8C;
        text-decoration: none;
    }
